Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.subsystem
Class AbstractAddFileSystemIndexStorage

    java.lang.Object
      org.jboss.as.controller.AbstractAddStepHandler
          org.modeshape.jboss.subsystem.AbstractAddIndexStorage
              org.modeshape.jboss.subsystem.AbstractAddFileSystemIndexStorage

All Implemented Interfaces:
  org.jboss.as.controller.OperationStepHandler

Direct Known Subclasses:
  AddLocalFileSystemIndexStorage, AddMasterFileSystemIndexStorage, AddSlaveFileSystemIndexStorage

    public abstract class AbstractAddFileSystemIndexStorage

extends AbstractAddIndexStorage

Field Summary
`protected String` | `indexSourcePathInDataDirectory`
`protected String` | `indexStoragePathInDataDirectory`

Fields inherited from class org.modeshape.jboss.subsystem.AbstractAddIndexStorage
`DATA_DIR_VARIABLE`

Constructor Summary
`protected` | `AbstractAddFileSystemIndexStorage()`

Method Summary
`protected void` | `addControllersAndDependencies(String repositoryName, IndexStorageService service, List<org.jboss.msc.service.ServiceController<?>> newControllers, org.jboss.msc.service.ServiceTarget target)`
`protected void` | `setIndexSourcePathInDataDirectory(String relativePath)`
`protected void` | `setIndexStoragePathInDataDirectory(String relativePath)`

Methods inherited from class org.modeshape.jboss.subsystem.AbstractAddIndexStorage
`performRuntime, populateModel, writeIndexingBackendConfiguration, writeIndexingConfiguration, writeIndexStorageConfiguration`

Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler
`execute, populateModel, populateModel, requiresRuntime, requiresRuntimeVerification, rollbackRuntime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### indexStoragePathInDataDirectory

    protected String indexStoragePathInDataDirectory

### indexSourcePathInDataDirectory

    protected String indexSourcePathInDataDirectory

Constructor Detail

### AbstractAddFileSystemIndexStorage

    protected AbstractAddFileSystemIndexStorage()

Method Detail

### setIndexStoragePathInDataDirectory

    protected void setIndexStoragePathInDataDirectory(String relativePath)

### setIndexSourcePathInDataDirectory

    protected void setIndexSourcePathInDataDirectory(String relativePath)

### addControllersAndDependencies

    protected void addControllersAndDependencies(String repositoryName,
                                                 IndexStorageService service,
                                                 List<org.jboss.msc.service.ServiceController<?>> newControllers,
                                                 org.jboss.msc.service.ServiceTarget target)

  Overrides:
    `addControllersAndDependencies` in class `AbstractAddIndexStorage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.